Package org.springframework.web.servlet.resource

# Class AbstractVersionStrategy.FileNameVersionPathStrategy

java.lang.Object
org.springframework.web.servlet.resource.AbstractVersionStrategy.FileNameVersionPathStrategy

All Implemented Interfaces:
  `VersionPathStrategy`

Enclosing class:
  AbstractVersionStrategy

protected static class AbstractVersionStrategy.FileNameVersionPathStrategy extends Object implements VersionPathStrategy
File name-based `VersionPathStrategy`, for example, `"path/foo-{version}.css"`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FileNameVersionPathStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`addVersion(String requestPath, String version)`
Add a version to the given request path.
`String`
`extractVersion(String requestPath)`
Extract the resource version from the request path.
`String`
`removeVersion(String requestPath, String version)`
Remove the version from the request path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileNameVersionPathStrategy

protected FileNameVersionPathStrategy()

## Method Details

### extractVersion

@Nullable public String extractVersion(String requestPath)
Description copied from interface: `VersionPathStrategy`
Extract the resource version from the request path.

Specified by:
  `extractVersion` in interface `VersionPathStrategy`
Parameters:
  `requestPath` - the request path to check
Returns:
  the version string or `null` if none was found

### removeVersion

public String removeVersion(String requestPath, String version)
Description copied from interface: `VersionPathStrategy`
Remove the version from the request path. It is assumed that the given version was extracted via `VersionPathStrategy.extractVersion(String)`.

Specified by:
  `removeVersion` in interface `VersionPathStrategy`
Parameters:
  `requestPath` - the request path of the resource being resolved
  `version` - the version obtained from `VersionPathStrategy.extractVersion(String)`
Returns:
  the request path with the version removed

### addVersion

public String addVersion(String requestPath, String version)
Description copied from interface: `VersionPathStrategy`
Add a version to the given request path.

Specified by:
  `addVersion` in interface `VersionPathStrategy`
Parameters:
  `requestPath` - the requestPath
  `version` - the version
Returns:
  the requestPath updated with a version string